summaryrefslogtreecommitdiffstats
path: root/git/bin/git-remove-origin-branches
diff options
context:
space:
mode:
Diffstat (limited to 'git/bin/git-remove-origin-branches')
-rwxr-xr-xgit/bin/git-remove-origin-branches10
1 files changed, 10 insertions, 0 deletions
diff --git a/git/bin/git-remove-origin-branches b/git/bin/git-remove-origin-branches
new file mode 100755
index 0000000..f2b580f
--- /dev/null
+++ b/git/bin/git-remove-origin-branches
@@ -0,0 +1,10 @@
+#!/bin/sh
+
+set -e
+
+BRANCHES="${*}"
+
+for BRANCH in ${BRANCHES}
+do
+ git push origin :"${BRANCH}"
+done